function [g,grad_g,kappa] = gBeamBendingWithCurvature(zVec)
z1 = zVec(1); 
z2 = zVec(2);
g = 400 - 12e5/((0.25*z1 + 10)*(0.65*z2+20)^2);
if (nargout == 1)
    return;
end
grad_g(1) = 3e5/((0.25*z1 + 10).^2*(0.65*z2+20)^2);
grad_g(2) = 15.6e5/((0.25*z1 + 10)*(0.65*z2+20)^3);
if (nargout == 2)
    return;
end
H = zeros(2,2);
H(1,1) = -3840000000/((13*z2 + 400)^2*(z1 + 40)^3);
H(1,2) = -49920000000/((13*z2 + 400)^3*(z1 + 40)^2);
H(2,1) = H(1,2);
H(2,2) = -1946880000000/((13*z2 + 400)^4*(z1 + 40));

A = zeros(3,3);
A(1:2,1:2) = H;
A(3,1:2) = grad_g(:)';
A(1:2,3) = grad_g(:);

kappa = -det(A)/norm(grad_g)^3


