function [f,x] = LogNormal_PDF(lambda,xi,x)
% For the lognormal distribution, given the lambda and xi 
% return the distribution function and sampled x
[mu,sigma] = LogNormal_MuSigma(lambda,xi);
if (nargin == 2) % x not given
    deltaX = 8*sigma/1000;
    x = mu-4*sigma:deltaX:mu+4*sigma;
end
f = (1./(sqrt(2*pi)*xi*x)).*exp(-(log(x)-lambda).^2/(2*xi^2));


