function P = HoekensLinkage(theta,L)
if nargin == 1
   L =[1 2.5 2.5 2 2.5]; % nominal 
end
A =2*L(1)*L(3)*cos(theta)-2*L(4)*L(3);
B = 2*L(1)*L(3)*sin(theta);
C = L(4)^2 + L(3)^2 + L(1)^2 -L(2)^2 - 2*L(4)*L(1)*cos(theta);
D = sqrt(A*A+B*B);
lambda = atan2(A/D,B/D); % unique angle
alpha = asin(C/D)-lambda;
P = [0                  0;...
    L(1)*cos(theta)     L(1)*sin(theta); ...
    L(4)+L(3)*cos(alpha) L(3)*sin(alpha); ...
    L(4)                0]';
dHat = P(:,3)-P(:,2);
dHat = dHat/norm(dHat); % unit vector from P2 to P3
P(:,5) = P(:,2) + (L(2)+L(5))*dHat;
