function [L, D] = ldl_nopivot(A)
%adapted from https://stackoverflow.com/questions/41150997/perform-lu-decomposition-without-pivoting-in-matlab
n = size(A, 1); % Obtain number of rows (should equal number of columns)
L = eye(n); % Start L off as identity and populate the lower triangular half slowly
for k = 1 : n
    % For each row k, access columns from k+1 to the end and divide by
    % the diagonal coefficient at A(k ,k)
    L(k + 1 : n, k) = A(k + 1 : n, k) / A(k, k);

    % For each row k+1 to the end, perform Gaussian elimination
    % In the end, A will contain U
    for l = k + 1 : n
        A(l, :) = A(l, :) - L(l, k) * A(k, :);
    end
end
U = A;

D = L\U';
d =diag(D);
D = 0;
for k = 1 : n
    D(k,k) = d(k);
end
end